import { TSProjectContext } from '@fresha/openapi-codegen-utils';
import type { DTO } from './DTO';
import type { Nullable } from '@fresha/api-tools-core';
import type { SchemaModel } from '@fresha/openapi-model/build/3.0.3';
export interface Context extends TSProjectContext {
    readonly nestApp: string;
    addDTO(name: string, schema: Nullable<SchemaModel>): DTO;
}
export interface CreateContextParams {
    input: string;
    output: string;
    jsonApi?: boolean;
    verbose?: boolean;
    dryRun?: boolean;
    nestApp?: string;
}
export declare const createContext: (args: CreateContextParams) => Context;
//# sourceMappingURL=context.d.ts.map