"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createContext = void 0;
const assert_1 = __importDefault(require("assert"));
const openapi_codegen_utils_1 = require("@fresha/openapi-codegen-utils");
const utils_1 = require("./utils");
const createContext = (args) => {
    return {
        ...(0, openapi_codegen_utils_1.createTSProjectContext)(args),
        outputPath: (0, utils_1.getNestJSSubAppPath)(args.output, args.nestApp),
        nestApp: args.nestApp ?? 'app',
        addDTO() {
            assert_1.default.fail('Not implemented');
        },
    };
};
exports.createContext = createContext;
//# sourceMappingURL=context.js.map